| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
libdar::cat_ignored Class Reference
Private

the present file to ignore (not to be recorded as deleted later) More...

`#include <cat_ignored.hpp>`

Inherits libdar::cat_nomme.

## Public Member Functions
| cat_ignored (const std::string &name)
| cat_ignored (const smart_pointer< pile_descriptor > &pdesc, bool small)
| cat_ignored (const cat_ignored &ref)=default
| cat_ignored (cat_ignored &&ref) noexcept=default
cat_ignored & | operator= (const cat_ignored &ref)=default
cat_ignored & | operator= (cat_ignored &&ref)=default
virtual bool | operator== (const cat_entree &ref) const override
| returns true if the two object are the same
virtual unsigned char | signature () const override
| inherited class signature
virtual std::string | get_description () const override
| inherited class designation
virtual cat_entree * | clone () const override
| a way to copy the exact type of an object even if pointed to by a parent class pointer
Public Member Functions inherited from libdar::cat_nomme
| cat_nomme (const std::string &name, saved_status arg)
| cat_nomme (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| cat_nomme (const cat_nomme &ref)=default
| cat_nomme (cat_nomme &&ref) noexcept=default
cat_nomme & | operator= (const cat_nomme &ref)=default
cat_nomme & | operator= (cat_nomme &&ref)=default
virtual bool | operator< (const cat_nomme &ref) const
const std::string & | get_name () const
void | change_name (const std::string &x)
bool | same_as (const cat_nomme &ref) const
Public Member Functions inherited from libdar::cat_entree
| cat_entree (saved_status val)
| setup an object when read from filesystem
| cat_entree (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| setup an object when read from an archive
| cat_entree (const cat_entree &ref)=default
| cat_entree (cat_entree &&ref) noexcept=default
cat_entree & | operator= (const cat_entree &ref)=default
cat_entree & | operator= (cat_entree &&ref)=default
virtual | ~cat_entree () noexcept(false)
| destructor
bool | operator!= (const cat_entree &ref) const
bool | same_as (const cat_entree &ref) const
| return true of the two objects would generate the same entry on filsystem
void | dump (const pile_descriptor &pdesc, bool small) const
| write down the object information to a stack
void | specific_dump (const pile_descriptor &pdesc, bool small) const
| this call gives an access to inherited_dump
virtual void | post_constructor (const pile_descriptor &pdesc)
| let inherited classes build object's data after CRC has been read from file in small read mode
virtual void | change_location (const smart_pointer< pile_descriptor > &pdesc)
saved_status | get_saved_status () const
| obtain the saved status of the object
void | set_saved_status (saved_status x)
| modify the saved_status of the object
void | set_list_entry (const slice_layout *sly, bool fetch_ea, list_entry &ent) const
| setup a list_entry object relative to the current cat_entree object

## Protected Member Functions
virtual void | inherited_dump (const pile_descriptor &pdesc, bool small) const override
| inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method
Protected Member Functions inherited from libdar::cat_nomme
Protected Member Functions inherited from libdar::cat_entree
pile * | get_pile () const
| stack used to read object from (nullptr is returned for object created from filesystem)
proto_compressor * | get_compressor_layer () const
| compressor generic_file relative methods
escape * | get_escape_layer () const
| escape generic_file relative methods
generic_file * | get_read_cat_layer (bool small) const
| return the adhoc layer in the stack to read from the catalogue objects (except the EA, FSA or Data part)

## Additional Inherited Members
Static Public Member Functions inherited from libdar::cat_entree
static cat_entree * | read (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &f, const archive_version &reading_ver, entree_stats &stats, std::map< infinint, cat_etoile * > &corres, compression default_algo, bool lax, bool only_detruit, bool small)
| read and create an object of inherited class of class cat_entree

## Detailed Description

the present file to ignore (not to be recorded as deleted later)

Definition at line 45 of file cat_ignored.hpp.

## Constructor & Destructor Documentation

## ◆ cat_ignored() [1/2]

libdar::cat_ignored::cat_ignored | ( | const std::string & | name | ) |
| inline

Definition at line 48 of file cat_ignored.hpp.

## ◆ cat_ignored() [2/2]

libdar::cat_ignored::cat_ignored | ( | const smart_pointer< pile_descriptor > & | pdesc,
|  | bool | small )
| inline

Definition at line 49 of file cat_ignored.hpp.

## Member Function Documentation

## ◆ clone()

virtual cat_entree * libdar::cat_ignored::clone | ( |  | ) | const
| inlineoverridevirtual

a way to copy the exact type of an object even if pointed to by a parent class pointer

Implements libdar::cat_entree.

Definition at line 60 of file cat_ignored.hpp.

## ◆ get_description()

virtual std::string libdar::cat_ignored::get_description | ( |  | ) | const
| inlineoverridevirtual

inherited class designation

Implements libdar::cat_entree.

Definition at line 59 of file cat_ignored.hpp.

## ◆ inherited_dump()

virtual void libdar::cat_ignored::inherited_dump | ( | const pile_descriptor & | pdesc,
|  | bool | small ) const
| inlineoverrideprotectedvirtual

inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method

Reimplemented from libdar::cat_nomme.

Definition at line 63 of file cat_ignored.hpp.

## ◆ operator==()

virtual bool libdar::cat_ignored::operator== | ( | const cat_entree & | ref | ) | const
| overridevirtual

returns true if the two object are the same

Reimplemented from libdar::cat_nomme.

## ◆ signature()

virtual unsigned char libdar::cat_ignored::signature | ( |  | ) | const
| inlineoverridevirtual

inherited class signature

Implements libdar::cat_entree.

Definition at line 58 of file cat_ignored.hpp.

The documentation for this class was generated from the following file:

- cat_ignored.hpp